# Use the official Node.js image as the base image
FROM node:22

# Set the working directory inside the container
WORKDIR /app

# Adding Quasar
RUN yarn global add @quasar/cli

# Set the environment variables
ENV ATTACHMENTS_SERVER_ID="server" 
ENV ATTACHMENTS_ROOT=C:/ 
ENV MAX_UPLOAD_MB=25
ENV ALLOWED_MIME=image/jpeg,image/png,image/webp,application/pdf

# Copy the rest of the application files
COPY . .

# Expose the application port
EXPOSE 3000

# Command to run the application
CMD ["node", "dist/src/main"]
